> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all service providers

> List all service providers



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /store/service-providers
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/service-providers:
    parameters: []
    get:
      tags:
        - Store
      summary: List all service providers
      description: List all service providers
      operationId: list-service-providers
      parameters:
        - name: service_type
          in: query
          description: type of service
          required: true
          schema:
            $ref: '#/components/schemas/ServiceProviderType'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      service_providers:
                        type: array
                        items:
                          $ref: '#/components/schemas/ServiceProvider'
                    type: object
components:
  schemas:
    ServiceProviderType:
      title: ServiceProviderType
      description: The type of third-party service integration.
      type: string
      enum:
        - shipping
        - payment
        - chat
        - cms
        - analytics
    ServiceProvider:
      title: ServiceProvider
      oneOf:
        - $ref: '#/components/schemas/ShippingServiceProvider'
        - $ref: '#/components/schemas/OtherServiceProvider'
      x-tags:
        - Store
    ShippingServiceProvider:
      title: ShippingServiceProvider
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        service_type:
          $ref: '#/components/schemas/ServiceProviderType'
          readOnly: true
        description:
          type: string
          readOnly: true
        short_description:
          type: string
          readOnly: true
        type:
          type: string
          const: auto
          readOnly: true
        fulfillment_type:
          type: string
          const: delivery
          readOnly: true
        logo_dark:
          type:
            - string
            - 'null'
          readOnly: true
        logo_light:
          type:
            - string
            - 'null'
          readOnly: true
        website_url:
          type: string
          readOnly: true
        api_doc_url:
          type: string
          readOnly: true
        required_credentials_params:
          description: json object in key & value pair.
          type: array
          items:
            type: object
            properties:
              input_field_name:
                type: string
              input_field_label:
                type: string
              input_field_type:
                enum:
                  - text
                  - number
                  - boolean
                  - email
                  - password
          readOnly: true
        is_connected:
          type: boolean
          default: false
          readOnly: true
        is_forward_shipping:
          type: boolean
          default: false
          readOnly: true
        is_return_shipping:
          type: boolean
          default: false
          readOnly: true
        is_connection_expired:
          type: boolean
          default: true
          readOnly: true
        supports_test_connection:
          type: boolean
          default: true
          readOnly: true
        api_credentials:
          description: >-
            json object in key & value pair. Keys must match with params
            specified in required_credentials_params object (input_field_name).
          type: object
        status:
          default: active
          enum:
            - active
            - inactive
            - error
        features:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
              is_supported:
                type: boolean
              features:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    description:
                      type: string
                    is_supported:
                      type: boolean
          readOnly: true
        warehouse_id:
          type: array
          items:
            type: string
          writeOnly: true
        shipping_zone_id:
          type: array
          items:
            type: string
          writeOnly: true
        warehouses:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
          readOnly: true
        shipping_zone:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
          readOnly: true
      x-tags:
        - Store
    OtherServiceProvider:
      title: OtherServiceProvider
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        service_type:
          $ref: '#/components/schemas/ServiceProviderType'
          readOnly: true
        description:
          type: string
          readOnly: true
        short_description:
          type: string
          readOnly: true
        logo_dark:
          type:
            - string
            - 'null'
          readOnly: true
        logo_light:
          type:
            - string
            - 'null'
          readOnly: true
        website_url:
          type: string
          readOnly: true
        api_doc_url:
          type: string
          readOnly: true
        required_credentials_params:
          description: json object in key & value pair.
          type: array
          items:
            type: object
            properties:
              input_field_name:
                type: string
              input_field_label:
                type: string
              input_field_type:
                enum:
                  - text
                  - number
                  - boolean
                  - email
                  - password
          readOnly: true
        is_connected:
          type: boolean
          default: false
          readOnly: true
        is_connection_expired:
          type: boolean
          default: true
          readOnly: true
        supports_test_connection:
          type: boolean
          default: true
          readOnly: true
        api_credentials:
          description: >-
            json object in key & value pair. Keys must match with params
            specified in required_credentials_params object (input_field_name).
          type: object
        status:
          default: active
          enum:
            - active
            - inactive
            - error
        features:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
              is_supported:
                type: boolean
              features:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    description:
                      type: string
                    is_supported:
                      type: boolean
          readOnly: true
      x-tags:
        - Store
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````